# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/grpc-cpp-1.43.0-on-linux_64, last modified Thu Jan 20 23:33:42 2022
# ------------------------------------------------

package:
  name: grpc-cpp
  version: 1.43.0
source:
  patches:
    - force-protoc-executable.patch
  sha256: 9647220c699cea4dafa92ec0917c25c7812be51a18143af047e20f3fb05adddc
  url: https://github.com/grpc/grpc/archive/v1.43.0.tar.gz
build:
  number: '0'
  run_exports:
    - grpc-cpp >=1.43.0,<1.44.0a0
  script_env:
    - STATIC_BUILD=no
  string: h63824a7_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2021.10.26 h06a4308_2
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.1 h2531618_2
    - gcc_impl_linux-64 9.3.0 h6df7d76_17
    - gcc_linux-64 9.3.0 h1ee779e_30
    - gxx_impl_linux-64 9.3.0 hbdd7822_17
    - gxx_linux-64 9.3.0 h7e70986_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 9.3.0 hb95220a_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libprotobuf 3.19.1 h4ff587b_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 9.3.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h295c915_1
    - ncurses 6.3 h7f8727e_2
    - ninja 1.10.2 py310hd09550d_3
    - openssl 1.1.1m h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pkg-config 0.29.2 h1bed415_8
    - python 3.10.0 h12debd9_4
    - readline 8.1.2 h7f8727e_1
    - rhash 1.4.1 h3c74f83_1
    - sqlite 3.37.0 hc218d9a_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
    - zstd 1.5.0 ha4553b6_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - abseil-cpp 20210324.2 h2531618_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2021.10.26 h06a4308_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libprotobuf 3.19.1 h4ff587b_0
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - openssl 1.1.1m h7f8727e_0
    - re2 2020.11.01 h2531618_1
    - zlib 1.2.11 h7f8727e_4
  run:
    - abseil-cpp >=20210324.2,<20210324.3.0a0
    - c-ares >=1.18.1,<2.0a0
    - libgcc-ng >=9.3.0
    - libprotobuf >=3.19.1,<3.19.2.0a0
    - libprotobuf >=3.19.1,<3.20.0a0
    - libstdcxx-ng >=9.3.0
    - openssl >=1.1.1m,<1.1.2a
    - re2 >=2020.11.1,<2020.11.2.0a0
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - grpc_cpp_plugin < /dev/null
    - test -f $PREFIX/lib/libgrpc.so
    - test -f $PREFIX/lib/libgrpc_unsecure.so
    - test -f $PREFIX/lib/libgrpc++.so
    - test -f $PREFIX/lib/libgrpc++_unsecure.so
  files:
    - tests/include/*
about:
  description: 'gRPC is a modern, open source, high-performance remote procedure call

    (RPC) framework that can run anywhere. gRPC enables client and server

    applications to communicate transparently, and simplifies the building

    of connected systems.


    This package contains the gRPC C++ libraries and header files, as well

    as the code generation plugins.

    '
  dev_url: https://github.com/grpc/grpc
  doc_url: https://grpc.io/docs/
  home: https://grpc.io/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: gRPC - A high-performance, open-source universal RPC framework
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - mingwandroid
    - pitrou
    - wesm
    - xhochy
